Index: /extensions/UserCollections/include/plain_encoder.php
===================================================================
--- /extensions/UserCollections/include/plain_encoder.php	(revision 20090)
+++ /extensions/UserCollections/include/plain_encoder.php	(revision 20090)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+class PwgPlainEncoder extends PwgResponseEncoder
+{
+  function encodeResponse($response)
+  {
+    $respClass = strtolower( @get_class($response) );
+    if ($respClass=='pwgerror')
+    {
+      return 'Error ['.$response->code().'] '.$response->message();
+    }
+    parent::flattenResponse($response);
+    return $response;
+  }
+
+  function getContentType()
+  {
+    return 'text/plain';
+  }
+}
+
+?>
Index: /extensions/UserCollections/include/ws_functions.inc.php
===================================================================
--- /extensions/UserCollections/include/ws_functions.inc.php	(revision 20090)
+++ /extensions/UserCollections/include/ws_functions.inc.php	(revision 20090)
@@ -0,0 +1,489 @@
+<?php
+defined('USER_COLLEC_PATH') or die('Hacking attempt!');
+
+function user_collections_ws_add_methods($arr)
+{
+  $service = &$arr[0];
+  global $conf;
+  
+  $service->addMethod(
+    'pwg.collections.create',
+    'ws_collections_create',
+    array(
+      'name' => array(),
+      'user_id' => array('default' => null),
+      'active' => array('default' => 0),
+      'public' => array('default' => 0),
+      ),
+    'Create a new User Collection. If "user_id" is empty, the collection is created for the current user.'
+    );
+    
+  $service->addMethod(
+    'pwg.collections.delete',
+    'ws_collections_delete',
+    array(
+      'col_id' => array(),
+      ),
+    'Delete a User Collection. The current user must be admin or owner of the collection.'
+    );
+    
+  $service->addMethod(
+    'pwg.collections.getList',
+    'ws_collections_getList',
+    array(
+      'col_id' => array('default' => null),
+      'user_id' => array('default' => null),
+      'name' => array('default' => null),
+      'public' => array('default' => null),
+      'active' => array('default' => null),
+      ),
+    'Retrive a list of collections.'
+    );
+    
+  $service->addMethod(
+    'pwg.collections.addImages',
+    'ws_collections_addImages',
+    array(
+      'col_id' => array(),
+      'image_ids' => array('flags'=>WS_PARAM_FORCE_ARRAY),
+      ),
+    'Add images to a collection. The current user must be admin or owner of the collection.'
+    );
+    
+  $service->addMethod(
+    'pwg.collections.removeImages',
+    'ws_collections_removeImages',
+    array(
+      'col_id' => array(),
+      'image_ids' => array('flags'=>WS_PARAM_FORCE_ARRAY),
+      ),
+    'Remove images from a collection. The current user must be admin or owner of the collection.'
+    );
+    
+  $service->addMethod(
+    'pwg.collections.getImages',
+    'ws_collections_getImages',
+    array(
+      'col_id' => array(),
+      'per_page' => array('default'=>100, 'maxValue'=>$conf['ws_max_images_per_page']),
+      'page' => array('default'=>0),
+      'order' => array('default'=>null),
+      ),
+    'Returns elements for the corresponding  collection.'
+    );
+    
+  $service->addMethod(
+    'pwg.collections.getSerialized',
+    'ws_collections_getSerialized',
+    array(
+      'col_id' => array(),
+      'content' => array('default'=>array('id','name','url','path'), 'flags'=>WS_PARAM_FORCE_ARRAY),
+      ),
+    'Returns a serialized version of the collection in CSV.<br>Available options for "content" are : id, file, name, url, path.<br>The return type is plain/text whatever you select as response format.'
+    );
+}
+
+/**
+ * create a new collection
+ */
+function ws_collections_create($params, &$service)
+{
+  global $conf, $user;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check name
+  if (empty($params['name']))
+  {
+    return new PwgError(WS_ERR_MISSING_PARAM, 'Empty collection name');
+  }
+  
+  // check user id
+  if (!empty($params['user_id']))
+  {
+    if (!is_admin() and $params['user_id'] != $user['id'])
+    {
+      return new PwgError(403, 'Forbidden');
+    }
+    include_once(PHPWG_ROOT_PATH . 'admin/include/functions.php');
+    if (get_username($params['user_id']) === false)
+    {
+      return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid user id');
+    }
+  }
+  else
+  {
+    $params['user_id'] = $user['id'];
+  }
+  
+  // check public
+  if ($params['public'] != 0 and $params['public'] != 1)
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid "public" value, 0 or 1.');
+  }
+  if (!$conf['user_collections']['allow_public'])
+  {
+    $params['public'] = 0;
+  }
+  
+  // check active
+  if ($params['active'] != 0 and $params['active'] != 1)
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid "active" value, 0 or 1.');
+  }
+  
+  $UserCollection = new UserCollection('new', array(), $params['name'], $params['active'], $params['public'], $params['user_id']);
+  
+  $infos = array_change_key_case($UserCollection->getCollectionInfo(), CASE_LOWER);
+  
+  return $infos;
+}
+
+/**
+ * delete a collection
+ */
+function ws_collections_delete($params, &$service)
+{
+  global $user;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check collection id
+  if (!preg_match('#^[0-9]+$#', $params['col_id']))
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+  
+  $query = '
+SELECT user_id
+  FROM '.COLLECTIONS_TABLE.'
+  WHERE id = '.$params['col_id'].'
+;';
+  $result = pwg_query($query);
+  
+  if (!pwg_db_num_rows($result))
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+  else
+  {
+    // check owner
+    list($user_id) = pwg_db_fetch_row($result);
+    
+    if (!is_admin() and $user_id != $user['id'])
+    {
+      return new PwgError(403, 'Forbidden');
+    }
+    
+    // delete
+    $query = '
+DELETE ci, c
+  FROM '.COLLECTION_IMAGES_TABLE.' AS ci
+    RIGHT JOIN '.COLLECTIONS_TABLE.' AS c 
+    ON ci.col_id = c.id
+  WHERE
+    c.user_id = '.$user_id.'
+    AND c.id = '.$params['col_id'].'
+;';
+    pwg_query($query);
+  }
+}
+
+/**
+ * get a list of collections
+ */
+function ws_collections_getList($params, &$service)
+{
+  global $user, $conf;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check user_id
+  if (!empty($params['user_id']))
+  {
+    if (!is_admin() and $params['user_id'] != $user['id'])
+    {
+      return new PwgError(403, 'Forbidden');
+    }
+    include_once(PHPWG_ROOT_PATH . 'admin/include/functions.php');
+    if (get_username($params['user_id']) === false)
+    {
+      return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid user id');
+    }
+  }
+  else if (!is_admin())
+  {
+    $params['user_id'] = $user['id'];
+  }
+  
+  // check collection id
+  if ( !empty($params['col_id']) and !preg_match('#^[0-9]+$#', $params['col_id']) )
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+  
+  // check public
+  if ( !empty($params['public']) and $params['public'] != 0 and $params['public'] != 1 )
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid "public" value, 0 or 1.');
+  }
+  
+  // check active
+  if ( !empty($params['active']) and $params['active'] != 0 and $params['active'] != 1 )
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid "active" value, 0 or 1.');
+  }
+  
+  // search
+  $where_clauses = array('1=1');
+  if (!empty($params['col_id']))
+  {
+    $where_clauses[] = 'c.id = '.$params['col_id'];
+  }
+  if (!empty($params['user_id']))
+  {
+    $where_clauses[] = 'user_id = '.$params['user_id'];
+  }
+  if (!empty($params['public']))
+  {
+    $where_clauses[] = 'public = '.$params['public'];
+  }
+  if (!empty($params['active']))
+  {
+    $where_clauses[] = 'active = '.$params['active'];
+  }
+  if (!empty($params['name']))
+  {
+    $where_clauses[] = 'name LIKE("%'.pwg_db_real_escape_string($params['name']).'%")';
+  }
+  
+  $query = '
+SELECT 
+    c.*,
+    u.'.$conf['user_fields']['username'].' AS username
+  FROM '.COLLECTIONS_TABLE.' AS c
+    INNER JOIN '.USERS_TABLE.' AS u
+    ON c.user_id = u.'.$conf['user_fields']['id'].'
+  WHERE
+    '.implode("\n    AND ", $where_clauses).'
+  ORDER BY username ASC, name ASC
+;';
+  $sets = hash_from_query($query, 'id');
+  
+  $ret = array();
+  foreach ($sets as $row)
+  {
+    $ret[] = array(
+      'id' => $row['id'],
+      'name' => $row['name'],
+      'nb_images' => $row['nb_images'],
+      'active' => (bool)$row['active'],
+      'public' => (bool)$row['public'],
+      'date_creation' => $row['date_creation'],
+      'is_temp' => $row['name'] == 'temp',
+      'u_public' => USER_COLLEC_PUBLIC . 'view/'.$row['public_id'],
+      'user_id' => $row['user_id'],
+      'username' => $row['username'],
+      );
+  }
+  
+  return $ret;
+}
+
+/**
+ * add images to a collection
+ */
+function ws_collections_addImages($params, &$service)
+{
+  global $conf, $user;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check collection id
+  if (!preg_match('#^[0-9]+$#', $params['col_id']))
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+
+  try {
+    $UserCollection = new UserCollection($params['col_id']);
+    
+    $UserCollection->addImages($params['image_ids']);
+    
+    return array('nb_images' => $UserCollection->getParam('nb_images'));
+  }
+  catch (Exception $e)
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+}
+
+/**
+ * remove images from a collection
+ */
+function ws_collections_removeImages($params, &$service)
+{
+  global $conf, $user;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check collection id
+  if (!preg_match('#^[0-9]+$#', $params['col_id']))
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+
+  try {
+    $UserCollection = new UserCollection($params['col_id']);
+    
+    $UserCollection->removeImages($params['image_ids']);
+    
+    return array('nb_images' => $UserCollection->getParam('nb_images'));
+  }
+  catch (Exception $e)
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+}
+
+/**
+ * get images from a collection
+ */
+function ws_collections_getImages($params, &$service)
+{
+  global $conf, $user;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check collection id
+  if (!preg_match('#^[0-9]+$#', $params['col_id']))
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+
+  try {
+    $UserCollection = new UserCollection($params['col_id']);
+    
+    $image_ids = $UserCollection->getImages();
+    $images = array();
+    
+    if (!empty($image_ids))
+    {
+      $where_clauses = array();
+      $where_clauses[] = 'i.id IN ('.implode(',', $image_ids ).')';
+      $where_clauses[] = get_sql_condition_FandF( array(
+            'visible_images' => 'i.id'
+          ), null, true
+        );
+
+      $order_by = ws_std_image_sql_order($params, 'i.');
+      $order_by = empty($order_by) ? $conf['order_by'] : 'ORDER BY '.$order_by;
+
+      $query = '
+SELECT i.*
+  FROM '.IMAGES_TABLE.' i
+  WHERE 
+    '. implode("\n AND ", $where_clauses).'
+GROUP BY i.id
+'.$order_by.'
+LIMIT '.(int)$params['per_page'].' OFFSET '.(int)($params['per_page']*$params['page']);
+
+    $result = pwg_query($query);
+    while ($row = pwg_db_fetch_assoc($result))
+    {
+      $image = array();
+      foreach (array('id', 'width', 'height', 'hit') as $k)
+      {
+        if (isset($row[$k]))
+        {
+          $image[$k] = (int)$row[$k];
+        }
+      }
+      foreach (array('file', 'name', 'comment', 'date_creation', 'date_available') as $k)
+      {
+        $image[$k] = $row[$k];
+      }
+      $image = array_merge($image, ws_std_get_urls($row));
+      
+      array_push($images, $image);
+    }
+  }
+
+  return array('images' => array(
+    WS_XML_ATTRIBUTES => array(
+      'page' => $params['page'],
+      'per_page' => $params['per_page'],
+      'count' => count($images)
+      ),
+    WS_XML_CONTENT => new PwgNamedArray(
+      $images, 
+      'image', 
+      ws_std_get_image_xml_attributes()
+      ),
+    ));
+  }
+  catch (Exception $e)
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+}
+
+/**
+ * get serialised collection
+ */
+function ws_collections_getSerialized($params, &$service)
+{
+  global $conf, $user;
+  
+  // check status
+  if (is_a_guest())
+  {
+    return new PwgError(403, 'Forbidden');
+  }
+  
+  // check collection id
+  if (!preg_match('#^[0-9]+$#', $params['col_id']))
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+
+  try {
+    $UserCollection = new UserCollection($params['col_id']);
+    
+    // change encoder to plain text
+    include_once(USER_COLLEC_PATH.'include/plain_encoder.php');
+    $encoder = new PwgPlainEncoder();
+    $service->setEncoder('plain', $encoder);
+  
+    return $UserCollection->serialize($params['content']);
+  }
+  catch (Exception $e)
+  {
+    return new PwgError(WS_ERR_INVALID_PARAM, 'Invalid collection id');
+  }
+}
+?>
Index: /extensions/UserCollections/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/ca_ES/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/ca_ES/plugin.lang.php	(revision 20090)
@@ -29,5 +29,5 @@
 $lang['%d more...'] = '%d més...';
 $lang['Add to collection'] = 'Afegeix a la col·lecció';
-$lang['Clear collection'] = 'Esborra';
+$lang['Clear'] = 'Esborra';
 $lang['Collection'] = 'Col·lecció';
 $lang['Collection name:'] = 'Nom de la col·lecció';
Index: /extensions/UserCollections/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/cs_CZ/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/cs_CZ/plugin.lang.php	(revision 20090)
@@ -23,5 +23,5 @@
 $lang['%d more...'] = '%d více...';
 $lang['Add to collection'] = 'Přidat do sbírky';
-$lang['Clear collection'] = 'Vyčistit';
+$lang['Clear'] = 'Vyčistit';
 $lang['Collection name:'] = 'Jméno sbírky';
 $lang['Collection'] = 'Sbírka';
Index: /extensions/UserCollections/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/da_DK/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/da_DK/plugin.lang.php	(revision 20090)
@@ -30,5 +30,5 @@
 $lang['%d more...'] = '%d mere ...';
 $lang['Add to collection'] = 'Tilføj til samling';
-$lang['Clear collection'] = 'Ryd';
+$lang['Clear'] = 'Ryd';
 $lang['Collection'] = 'Samling';
 $lang['Collection name:'] = 'Navn på samling:';
Index: /extensions/UserCollections/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/de_DE/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/de_DE/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Sammlung hinzufügen';
-$lang['Clear collection'] = 'Löschen';
+$lang['Clear'] = 'Löschen';
 $lang['Collection name:'] = 'Name der Sammlung:';
 $lang['Collection'] = 'Sammlung';
Index: /extensions/UserCollections/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/el_GR/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/el_GR/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Προσθήκη στη συλλογή';
-$lang['Clear collection'] = 'Καθαρίζω';
+$lang['Clear'] = 'Καθαρίζω';
 $lang['Collection name:'] = 'Όνομα Συλλογής';
 $lang['Collection'] = 'Συλλογή';
Index: /extensions/UserCollections/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/en_UK/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/en_UK/plugin.lang.php	(revision 20090)
@@ -20,5 +20,5 @@
 $lang['Remove from collection'] = 'Remove from collection';
 $lang['Add to collection'] = 'Add to collection';
-$lang['Clear collection'] = 'Clear';
+$lang['Clear'] = 'Clear';
 $lang['You have %d collection'] = 'You have %d collection';
 $lang['You have no collection'] = 'You have no collection';
@@ -28,3 +28,33 @@
 $lang['%d more...'] = '%d more...';
 
+$lang['Allow users to set their collections as public'] = 'Allow users to set their collections as public';
+$lang['Allow users to send their public collections by mail'] = 'Allow users to send their public collections by mail';
+$lang['Fields'] = 'Fields';
+$lang['Active'] = 'Active';
+$lang['Inactive'] = 'Inactive';
+$lang['Generate'] = 'Generate';
+$lang['Download CSV file'] = 'Download CSV file';
+$lang['Output'] = 'Output';
+$lang['Number of images'] = 'Number of images';
+$lang['Edit this collection'] = 'Edit this collection';
+$lang['Export image list'] = 'Export image list';
+$lang['Delete this collection'] = 'Delete this collection';
+$lang['Send this collection my mail'] = 'Send this collection my mail';
+$lang['Clear this collection'] = 'Clear this collection';
+$lang['Please enter your name'] = 'Please enter your name';
+$lang['Please enter the recipient name'] = 'Please enter the recipient name';
+$lang['Please enter your e-mail'] = 'Please enter your e-mail';
+$lang['Please enter the recipient e-mail'] = 'Please enter the recipient e-mail';
+$lang['A photo collection by %s'] = 'A photo collection by %s';
+$lang['Error while sending e-mail'] = 'Error while sending e-mail';
+$lang['E-mail sent successfully'] = 'E-mail sent successfully';
+$lang['The collection must be public in order to send it'] = 'The collection must be public in order to send it';
+$lang['Your name'] = 'Your name';
+$lang['Your e-mail'] = 'Your e-mail';
+$lang['Recipient name'] = 'Recipient name';
+$lang['Recipient e-mail'] = 'Recipient e-mail';
+$lang['Message (optional)'] = 'Message (optional)';
+$lang['Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>'] = 'Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>';
+$lang['Click here to view the complete collection'] = 'Click here to view the complete collection';
+
 ?>
Index: /extensions/UserCollections/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/es_ES/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/es_ES/plugin.lang.php	(revision 20090)
@@ -23,5 +23,5 @@
 $lang['%d more...'] = '%d más...';
 $lang['Add to collection'] = 'Añadir a la colección';
-$lang['Clear collection'] = 'Limpiar';
+$lang['Clear'] = 'Limpiar';
 $lang['Collection name:'] = 'Nombre de la colección';
 $lang['Collection'] = 'Colección';
Index: /extensions/UserCollections/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/fa_IR/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/fa_IR/plugin.lang.php	(revision 20090)
@@ -23,5 +23,5 @@
 $lang['%d more...'] = '%d بیشتر ...';
 $lang['Add to collection'] = 'افزودن به مجموعه';
-$lang['Clear collection'] = 'پاک کردن';
+$lang['Clear'] = 'پاک کردن';
 $lang['Collection'] = 'مجموعه';
 $lang['Collection name:'] = 'نام مجموعه:';
Index: /extensions/UserCollections/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/fr_FR/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/fr_FR/plugin.lang.php	(revision 20090)
@@ -20,5 +20,5 @@
 $lang['Remove from collection'] = 'Supprimer de la collection';
 $lang['Add to collection'] = 'Ajouter à la collection';
-$lang['Clear collection'] = 'Vider';
+$lang['Clear'] = 'Vider';
 $lang['You have %d collection'] = 'Vous avez %d collection';
 $lang['You have no collection'] = 'Vous n\'avez aucune collection';
@@ -28,3 +28,33 @@
 $lang['%d more...'] = 'et %d autres...';
 
+$lang['Allow users to set their collections as public'] = 'Les utilisateurs peuvent rendre leurs collections publiques';
+$lang['Allow users to send their public collections by mail'] = 'Les utilisateurs peuvent envoyer leurs collections publiques par mail';
+$lang['Fields'] = 'Champs';
+$lang['Active'] = 'Actifs';
+$lang['Inactive'] = 'Inactifs';
+$lang['Generate'] = 'Générer';
+$lang['Download CSV file'] = 'Télécharger le fichier CSV';
+$lang['Output'] = 'Aperçu';
+$lang['Number of images'] = 'Nombre d\'images';
+$lang['Edit this collection'] = 'Editer celle collection';
+$lang['Export image list'] = 'Exporter la liste d\'images';
+$lang['Delete this collection'] = 'Supprimer la collection';
+$lang['Send this collection my mail'] = 'Envoyer cette collection par mail';
+$lang['Clear this collection'] = 'Vider cette collection';
+$lang['Please enter your name'] = 'Veuillez entrer votre nom';
+$lang['Please enter the recipient name'] = 'Veuillez entrer le nom du destinataire';
+$lang['Please enter your e-mail'] = 'Veuillez entrer votre e-mail';
+$lang['Please enter the recipient e-mail'] = 'Veuillez entrer l\'e-mail du destinataire';
+$lang['A photo collection by %s'] = 'Une collection photo de %s';
+$lang['Error while sending e-mail'] = 'Erreur lors de l\'envoi de l\'e-mail';
+$lang['E-mail sent successfully'] = 'E-mail envoyé avec succès';
+$lang['The collection must be public in order to send it'] = 'La collection doit être publique pour l\'envoyer';
+$lang['Your name'] = 'Votre nom';
+$lang['Your e-mail'] = 'Votre e-mail';
+$lang['Recipient name'] = 'Nom du destinataire';
+$lang['Recipient e-mail'] = 'E-mail du destinataire';
+$lang['Message (optional)'] = 'Message (optionel)';
+$lang['Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>'] = 'Bonjour <b>%s</b>, %s vous a envoyé une collection de photos depuis <a href="%s">%s</a>';
+$lang['Click here to view the complete collection'] = 'Cliquez ici pour voir la collection complète';
+
 ?>
Index: /extensions/UserCollections/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/hu_HU/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/hu_HU/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Gyűjteménybe';
-$lang['Clear collection'] = 'Kiürítés';
+$lang['Clear'] = 'Kiürítés';
 $lang['Collection name:'] = 'Gyűjtemény neve:';
 $lang['Collection'] = 'Gyűjtemény';
Index: /extensions/UserCollections/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/it_IT/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/it_IT/plugin.lang.php	(revision 20090)
@@ -23,5 +23,5 @@
 $lang['%d more...'] = '%d di più...';
 $lang['Add to collection'] = 'Aggiungi ad una raccolta';
-$lang['Clear collection'] = 'Cancella';
+$lang['Clear'] = 'Cancella';
 $lang['Collection name:'] = 'Nome della collezione:';
 $lang['Collection'] = 'Collezione';
Index: /extensions/UserCollections/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/lv_LV/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/lv_LV/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Pievienot kolekcijai';
-$lang['Clear collection'] = 'Tīrs';
+$lang['Clear'] = 'Tīrs';
 $lang['Collection name:'] = 'Kolekcijas nosaukums:';
 $lang['Collection'] = 'Kolekcija';
Index: /extensions/UserCollections/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/nl_NL/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/nl_NL/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Aan verzameling toevoegen';
-$lang['Clear collection'] = 'Leegmaken';
+$lang['Clear'] = 'Leegmaken';
 $lang['Collection name:'] = 'Naam van verzameling';
 $lang['Collection'] = 'Verzameling';
Index: /extensions/UserCollections/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/pl_PL/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/pl_PL/plugin.lang.php	(revision 20090)
@@ -23,5 +23,5 @@
 $lang['%d more...'] = '%d więcej...';
 $lang['Add to collection'] = 'Dodaj do kolekcji';
-$lang['Clear collection'] = 'Wyczyść';
+$lang['Clear'] = 'Wyczyść';
 $lang['Collection name:'] = 'Nazwa kolekcji';
 $lang['Collection'] = 'Kolekcja';
Index: /extensions/UserCollections/language/pt_BR/index.php
===================================================================
--- /extensions/UserCollections/language/pt_BR/index.php	(revision 20090)
+++ /extensions/UserCollections/language/pt_BR/index.php	(revision 20090)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/UserCollections/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/pt_BR/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/pt_BR/plugin.lang.php	(revision 20090)
@@ -30,5 +30,5 @@
 mais %d...';
 $lang['Add to collection'] = 'Adicione a coleção';
-$lang['Clear collection'] = 'Limpar';
+$lang['Clear'] = 'Limpar';
 $lang['Collection'] = 'Coleção';
 $lang['Collection name:'] = 'Nome da coleção:';
Index: /extensions/UserCollections/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/pt_PT/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/pt_PT/plugin.lang.php	(revision 20090)
@@ -29,5 +29,5 @@
 $lang['%d more...'] = '%d mais';
 $lang['Add to collection'] = 'acrescentar à colecção';
-$lang['Clear collection'] = 'Limpar';
+$lang['Clear'] = 'Limpar';
 $lang['Collection'] = 'Colecção';
 $lang['Collection name:'] = 'Nome da colecção';
Index: /extensions/UserCollections/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/ru_RU/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/ru_RU/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Добавить в коллекцию';
-$lang['Clear collection'] = 'Очистить';
+$lang['Clear'] = 'Очистить';
 $lang['Collection name:'] = 'Название коллекции:';
 $lang['Collection'] = 'Коллекция';
Index: /extensions/UserCollections/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/sk_SK/plugin.lang.php	(revision 20089)
+++ /extensions/UserCollections/language/sk_SK/plugin.lang.php	(revision 20090)
@@ -22,5 +22,5 @@
 // +-----------------------------------------------------------------------+
 $lang['Add to collection'] = 'Pridať do kolekcie';
-$lang['Clear collection'] = 'Vyčistiť';
+$lang['Clear'] = 'Vyčistiť';
 $lang['Collection name:'] = 'Názov kolekcie:';
 $lang['Collection'] = 'Kolekcia';
